Package org.apache.sling.scripting.sightly.impl.compiler.debug

## Class LoggingHandler

- java.lang.Object
- - org.apache.sling.scripting.sightly.impl.compiler.debug.LoggingHandler

All Implemented Interfaces:
  `CommandHandler`

    public final class LoggingHandler
    extends Object
    implements CommandHandler

Handler which logs all commands

### Field Summary

Fields
`static LoggingHandler` `INSTANCE`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `onDone()` This method is called when the stream has been closed.
`void` `onEmit​(Command command)` Allows this handler to process the `Command` that was just written into the stream to which this handler was attached.
`void` `onError​(String errorMessage)` Allows this handler to process error states.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INSTANCE

    public static final LoggingHandler INSTANCE

### Method Detail

#### onEmit

    public void onEmit​(Command command)

Description copied from interface: `CommandHandler`
Allows this handler to process the `Command` that was just written into the stream to which this handler was attached.

Specified by:
  `onEmit` in interface `CommandHandler`
Parameters:
  `command` - the received command

#### onError

    public void onError​(String errorMessage)

Description copied from interface: `CommandHandler`
Allows this handler to process error states.

Specified by:
  `onError` in interface `CommandHandler`
Parameters:
  `errorMessage` - the error's message

#### onDone

    public void onDone()

Description copied from interface: `CommandHandler`
This method is called when the stream has been closed. The contract is that after this call, no other commands or errors will be emitted.

Specified by:
  `onDone` in interface `CommandHandler`